## xmds 1.6.6

=== debian/changelog ===
xmds (1.6.6-7) unstable; urgency=low

  * debian/control:
    + Suggest a non-versioned dependency on octave
    + Drop build-dependency on octave3.2-headers, since this was needed
      only because of the octave3.2-depends script
  * debian/rules:
    + Drop call to octave3.2-depends (Closes: #666501)
    + Install the Octave support file into a separate directory for xmds
    + Bump Standards-Version to 3.9.3 (no changes needed)
  * debian/source/format: 3.0 (quilt)
  * Add DEP3-compliant headers to the patches
  * debian/patches/short-circuit-operator.diff: New patch

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 14 May 2012 13:13:23 +0200

xmds (1.6.6-6) unstable; urgency=low

  * Team upload
  * Rebuild to use the last version of mpi-defaults (1.0.1)
    (Closes: #650801)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Feb 2012 00:26:10 +0100

xmds (1.6.6-5) unstable; urgency=low

  * Team upload
  * Package migrated to the Debian Science team
  * Standards-Version updated to version 3.9.2 
  * Use mpi-default-dev instead of (deprecated) libmpich1.0-dev.
    Thanks to Nicholas Breen for the patch (Closes: #571460)
	
 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 10 Aug 2011 09:49:38 +0200

xmds (1.6.6-4) unstable; urgency=low

  * remove Rafael from Uploaders (closes: #571887)
  * add patches from Thomas Weber to make examples compile (closes: #572747)
  * add quilt to build-depends again
  * debian/control: Bump Standards-Version to 3.9.1 (no changes needed)

 -- Christian T. Steigies <cts@debian.org>  Wed, 04 Aug 2010 22:21:20 +0200

xmds (1.6.6-3) unstable; urgency=medium

  [ Alexander Reichle-Schmehl ]
  * Switch to octave 3.2 (in debian/control and debian/rules)
    (Closes: #572748)
  * Urgency set to medium due to RC bug fix

  [ Christian T. Steigies ]
  * debian/control: Bump Standards-Version to 3.8.4 (no changes needed)

 -- Christian T. Steigies <cts@debian.org>  Wed, 07 Apr 2010 21:01:52 +0200

xmds (1.6.6-2) unstable; urgency=low

  * debian/control, debian/rules: Drop support for octave2.1, which will
    be removed from Debian unstable.  Closes: #516447. Thanks to Thomas
    Weber for the patch.
  * debian/control: Fix Lintian warning debhelper-but-no-misc-depends
  * debian/watch: Use the qa.debian.org redirector
  * debian/copyright:
    + Use the UTF-8 character for the Copyright symbol
    + Release the Debian packaging under the GPL v3 or later

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Feb 2009 19:59:11 +0100

xmds (1.6.6-1) unstable; urgency=low

  * New upstream release
  * debian/patches/compile-with-gcc-4.3.diff: Drop patch (applied upstream)
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Jul 2008 10:53:41 +0200

xmds (1.6.5-2) unstable; urgency=low

  * debian/control: Build-depend on quilt
  * debian/rules: Include quilt's CDBS scrap
  * debian/patches/compile-with-gcc-4.3.diff: Add patch for building the
    package with GCC 4.3 (closes: #474820)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 08 Apr 2008 09:37:27 +0200

xmds (1.6.5-1) unstable; urgency=low

  * New upstream release
  * debian/patches/g++-4.2-string-literal.patch: Dropped patch (applied
    upstream)
  * debian/rules:
    + Drop hacks for keeping upstream files unchanged
    + Cleanups: loadxsil.m does not land in /usr/bin anymore and *.xmds
      files in examples dir have now the right permissions
    + Install examples in appropriate doc directory

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Feb 2008 00:32:17 +0100

xmds (1.6.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Build-depends on octave3.0-headers instead of 2.9
    + Use ${octave-3-0:Depends} in Suggests field
  * debian/rules:
    + Call octave3.0-depends instead of octave2.9-depends
    + Since version 1.6-1 of the package, there is no need for calling
      autoconf, because configure.in was fixed upstream.  Dropped the
      setting of the variables DEB_AUTO_UPDATE_AUTOCONF as well as some
      files from the list of files to be preserved from the autotools.
  * debian/patches/loadxsil-varnames-cell.patch: Dropped patch (applied
    upstream)
  * debian/patches/g++-4.2-string-literal.patch: New patch for avoiding g++
    4.2 warning messages related to string literals being used as char*.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 18 Jan 2008 01:25:30 +0100

xmds (1.6.3-3) unstable; urgency=low

  * debian/control: Build-depends on libfft3-dev, since the fftw3 packages
    have been renamed (closes: #454174)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 19 Dec 2007 16:54:24 +0100

xmds (1.6.3-2) unstable; urgency=low

  * debian/control:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 11:23:49 +0100

xmds (1.6.3-1) unstable; urgency=low

  * New upstream release.  Removed patch gcc-4.3-includes.patch, which is
    applied upstream.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Jul 2007 13:14:48 +0200

xmds (1.6.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/gcc-4.3-includes.patch: New patch for making the
    package build against gcc 4.3 by including the appropriate cstring and
    cstdlib headers

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Jun 2007 09:51:02 +0200

xmds (1.6.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Fixed typo in short description
  * debian/patches/loadxsil-varnames-cell.dpatch: Added patch for making
    loadxsil.m work with Octave


