=== debian/control ===
Source: xmds
Section: science
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christian T. Steigies <cts@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.0), autotools-dev, fftw-dev,
 libfftw3-dev, mpi-default-dev, autoconf
Standards-Version: 3.9.3
Homepage: http://xmds.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/xmds/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/xmds/

Package: xmds
Architecture: any
Depends: ${shlibs:Depends}, fftw-dev, libfftw3-dev, mpi-default-dev,
 ${misc:Depends}
Suggests: octave
Description: eXtensible Multi-Dimensional Simulator
 XMDS is a code generator that integrates equations, from Ordinary
 Differential Equations (ODEs) up to stochastic Partial Differential
 Equations (PDEs). You write them down in human readable form in an
 XML file, and it goes away and writes and compiles a C++ program that
 integrates those equations as fast as it can possibly be done in your
 architecture.
