=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

debdir  = $(CURDIR)/debian
instdir = $(debdir)/xmds
shrdir  = $(instdir)/usr/share
docdir  = $(shrdir)/doc/xmds
expdir  = $(docdir)/examples
mdir    = $(shrdir)/octave/site/m/xmds

DEB_CONFIGURE_EXTRA_FLAGS =		\
	--enable-fftw3			\
	--enable-mpi			\
	--with-mpi-compiler=mpicxx

DEB_COMPRESS_EXCLUDE = .xmds

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(instdir)	\
			  docdir=/usr/share/doc/xmds

build/xmds:: make-examples-stamp
make-examples-stamp:
	# Run test
	cp examples/lorenz* source
	( cd source ;						\
	  $(MAKE) XMDS=./xmds XSIL2GRAPHICS=./xsil2graphics	\
		-f ../debian/Makefile-examples lorenz.m ;	\
	  rm -f lorenz* )
	touch make-examples-stamp

binary-install/xmds::
	# Move Octave file into the correct directory
	mkdir -p $(mdir)
	install --mode=644 source/loadxsil.m $(mdir)

	# Add Makefile to the examples directory
	cp debian/Makefile-examples $(expdir)/Makefile
