=== debian/watch ===
version=3
opts="uversionmangle=s/-/./" http://sf.net/xmds/xmds-(.*)\.tar\.gz
